Bug 253036 - 32-bit pam_winbind.so incompatible with 64-bit winbindd
32-bit pam_winbind.so incompatible with 64-bit winbindd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
7
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Blocker 338141 338151
  Show dependency treegraph
 
Reported: 2007-08-16 13:48 EDT by Pim Zandbergen
Modified: 2012-07-26 09:43 EDT (History)
0 users

See Also:
Fixed In Version: 3.0.26a-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-05 10:05:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pim Zandbergen 2007-08-16 13:48:29 EDT
Description of problem:

The 32-bit version of pam_winbind.so, needed for 32-bit pam-compatible
applications does not work on a system running a 64-bit winbind daemon.

Version-Release number of selected component (if applicable):

samba-3.0.25b-2.fc7.x86_64
samba-common-3.0.25b-2.fc7.x86_64
samba-common-3.0.25b-2.fc7.i386


How reproducible:

Setup a 32-bit, pam-compatible application to use pam_winbind.so on an x86_64
system. It will never successfully authenticate.


Steps to Reproduce:
1. Install 64-bit samba and samba-common
2. Setup winbindd to work in a 64-bit environment. Make sure wbinfo works
3. Install a 32-bit pam-aware app. I used VMware-server-1.0.3-44356.i386
4. Install 32-bit samba-common for 32-bit pam_winbind
5. Configure pam for this 32-bit app to use pam_winbind

  
Actual results:

Authentication fails.
Error messages in syslog

Expected results:

Authentication succeeds, where applicable
success messages in syslog

Additional info:

/etc/pam.d/vmware-authd: This works on a 32-bit machine

#%PAM-1.0
auth    sufficient      pam_unix.so shadow nullok
auth    sufficient      pam_winbind.so
auth    required        pam_unix_auth.so shadow nullok
account sufficient      pam_unix.so
account required        pam_unix_acct.so

Error messages in /var/log/messages:

winbindd[19368]: [2007/08/14 17:00:26, 0]
  nsswitch/winbindd.c:request_len_recv(544)
winbindd[19368]:   request_len_recv:
  Invalid request size received: 2084

Reproducing this problem through pam is complex. The same problem can be
recreated, by using the 32-bit version of wbinfo. This program needs to be
extracted from the 32-bit rpm, as installing it will not have the 64-bit version
of wbinfo overwritten. Just type "wbinfo -u" using both 32-bit and 64-bit
versions to see the difference.
Comment 1 Jesse Keating 2007-10-22 14:12:02 EDT
http://koji.fedoraproject.org/koji/buildinfo?buildID=21591 has the fix built
into it.
Comment 2 Fedora Update System 2007-10-24 03:09:46 EDT
samba-3.0.26a-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update samba'
Comment 3 Fedora Update System 2007-11-05 10:05:56 EST
samba-3.0.26a-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.